For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddPushCredential
        • POSTSetPushCredential
        • POSTDelPushCredential
        • POSTGetPushCredential
        • POSTBindPushCredential
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferencePush Credentials

AddPushCredential

||View as Markdown|
POST
https://api.voximplant.com/platform_api/AddPushCredential
POST
/platform_api/AddPushCredential
$curl -X POST https://api.voximplant.com/platform_api/AddPushCredential \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F cert_content=@apple_push_cert.p12 \
> -F service_account_file=@google_service_account.json
200Example 1
1{
2 "result": 1,
3 "push_credential_id": 12345
4}

Adds push credentials.

Allowed roles: Owner, Admin, Developer.

Example request: Add new Apple credentials.

Was this page helpful?
Previous

GetRegions

Next

SetPushCredential

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

push_provider_namestringOptional

The push provider name. The possible values are APPLE, APPLE_VOIP, GOOGLE, HUAWEI. Required unless push_provider_id is provided.

push_provider_idintegerOptional

The push provider id. The possible values are: 1 — APPLE, 2 — GOOGLE, 3 — APPLE_VOIP, 5 — HUAWEI. Required unless push_provider_name is provided.

application_idintegerOptional
The application id
application_namestringOptional

The application name that can be used instead of application_id

credential_bundlestringOptional

The bundle of Android/iOS/Huawei application

cert_file_namestringOptional

The parameter is required, when set ‘cert_content’ as POST body. Credentials for APPLE push

cert_passwordstringOptional
The secret password for private key. Credentials for APPLE push
is_dev_modebooleanOptional
Whether to use this certificate in apple's sandbox environment. Credentials for APPLE push
sender_idstringOptional
The sender id, provided by Google. Credentials for GOOGLE push
server_keystringOptional
The server key, provided by Google. Credentials for GOOGLE push
huawei_client_idstringOptional
The client id, provided by Huawei. Credentials for HUAWEI push
huawei_client_secretstringOptional
The client secret, provided by Huawei. Credentials for HUAWEI push
huawei_application_idstringOptional
The application id, provided by Huawei. Credentials for HUAWEI push

Request

This endpoint expects a multipart form with multiple files.
cert_contentfileOptional
Public and private keys in PKCS12 format. Credentials for APPLE push
service_account_filefileOptional

The service account key file, provided by Google. Can be used instead of server_key. Credentials for GOOGLE push

Response

Successful response
resultinteger
push_credential_idinteger

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.